/*
 * VentanaPrincipal.java
 *
 * Created on 12 de mayo de 2008, 18:35
 */
package org.casino.gui.comun;

import java.awt.Rectangle;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;

/**
 *
 * @author  opsi
 */
public class VentanaPrincipal extends javax.swing.JFrame {
    private final float pesoVentanaSistema = 0.3f; 
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new VentanaPrincipal().setVisible(true);
            }
        });
    }

    /** Creates new form VentanaPrincipal */
    public VentanaPrincipal() {
        initComponents();
        slistener = new SizeChangedListener();
        addComponentListener(slistener);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jDesktopPane1 = new javax.swing.JDesktopPane();
        iframePanelSistema = new javax.swing.JInternalFrame();
        panelSistema1 = new org.casino.gui.comun.PanelSistema();
        jInternalFrame1 = new javax.swing.JInternalFrame();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        iframePanelSistema.setIconifiable(true);
        iframePanelSistema.setMaximizable(true);
        iframePanelSistema.setResizable(true);
        iframePanelSistema.setVisible(true);

        javax.swing.GroupLayout iframePanelSistemaLayout = new javax.swing.GroupLayout(iframePanelSistema.getContentPane());
        iframePanelSistema.getContentPane().setLayout(iframePanelSistemaLayout);
        iframePanelSistemaLayout.setHorizontalGroup(
            iframePanelSistemaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(panelSistema1, javax.swing.GroupLayout.DEFAULT_SIZE, 310, Short.MAX_VALUE)
        );
        iframePanelSistemaLayout.setVerticalGroup(
            iframePanelSistemaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(iframePanelSistemaLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(panelSistema1, javax.swing.GroupLayout.DEFAULT_SIZE, 547, Short.MAX_VALUE))
        );

        iframePanelSistema.setBounds(0, 0, 320, 590);
        jDesktopPane1.add(iframePanelSistema, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jInternalFrame1.setVisible(true);

        javax.swing.GroupLayout jInternalFrame1Layout = new javax.swing.GroupLayout(jInternalFrame1.getContentPane());
        jInternalFrame1.getContentPane().setLayout(jInternalFrame1Layout);
        jInternalFrame1Layout.setHorizontalGroup(
            jInternalFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 450, Short.MAX_VALUE)
        );
        jInternalFrame1Layout.setVerticalGroup(
            jInternalFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 559, Short.MAX_VALUE)
        );

        jInternalFrame1.setBounds(320, 0, 460, 590);
        jDesktopPane1.add(jInternalFrame1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jDesktopPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 776, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jDesktopPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 591, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    private void actualizarLayout() {
        int ancho = getWidth(),
            alto = getHeight();
        int anchoVentanaSistema = (int)(ancho*pesoVentanaSistema);
        iframePanelSistema.setBounds(new Rectangle(0, 0, anchoVentanaSistema, alto-10));
    }
    private class SizeChangedListener extends ComponentAdapter {
        @Override
        public void componentResized(ComponentEvent arg0) {
            actualizarLayout();
        }
    }
    private SizeChangedListener slistener;
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JInternalFrame iframePanelSistema;
    private javax.swing.JDesktopPane jDesktopPane1;
    private javax.swing.JInternalFrame jInternalFrame1;
    private org.casino.gui.comun.PanelSistema panelSistema1;
    // End of variables declaration//GEN-END:variables
}

